Delete voice
client.Audio.Voices.Delete(ctx, voiceID) (*VoiceDeleted, error)
DELETE
/audio/voices/{voice_id}Deletes a voice created from a text prompt or an audio sample.
Requires voice write permission and access to the voice’s project. Access to voices created from recordings is limited to eligible customers. See the custom voices guide.
Deleting a voice does not delete its consent recording. Deleting an already deleted voice returns a 404 error.
Delete voice
package main
import (
"context"
"fmt"
"github.com/openai/openai-go"
"github.com/openai/openai-go/option"
)
func main() {
client := openai.NewClient(
option.WithAPIKey("My API Key"),
)
voiceDeleted, err := client.Audio.Voices.Delete(context.TODO(), "voice_id")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", voiceDeleted.ID)
}
{
"id": "voice_1234",
"object": "audio.voice.deleted",
"deleted": true
}
Returns Examples
{
"id": "voice_1234",
"object": "audio.voice.deleted",
"deleted": true
}